import { Injectable } from '@angular/core';
import { ConfigService } from '@shared/config/config.service';
import { HttpClient } from '@angular/common/http';
import { FleioApiService } from '@fleio-api/fleio-api.service';
import { ILBPoolModel } from '@fleio-api/openstack/load-balancing/model/lb-pool.model';

@Injectable({
  providedIn: 'root',
})
export class LBPoolsApiService extends FleioApiService<ILBPoolModel> {
  constructor(protected httpClient: HttpClient, protected config: ConfigService) {
    super();
    this.setEndpoint(config.getPanelApiUrl('openstack/lbaas-pools'));
  }
}
